$(HTTP_QUOTA_TEST) \
$(HTTPS_QUOTA_TEST) \
$(WLAN_QUOTA_TEST) \
- $(BT_QUOTA_TEST)
+ $(BT_QUOTA_TEST) \
+ test_transport_api_slow_ats
endif
if ENABLE_TEST_RUN
test_quota_compliance_udp \
$(UNIX_QUOTA_TEST) \
$(HTTP_QUOTA_TEST) \
- $(HTTPS_QUOTA_TEST)
+ $(HTTPS_QUOTA_TEST) \
+ test_transport_api_slow_ats
endif
test_transport_testing_startstop_SOURCES = \
$(top_builddir)/src/util/libgnunetutil.la \
libgnunettransporttesting.la
+test_transport_api_slow_ats_SOURCES = \
+ test_transport_api.c
+test_transport_api_slow_ats_LDADD = \
+ libgnunettransport.la \
+ $(top_builddir)/src/hello/libgnunethello.la \
+ $(top_builddir)/src/util/libgnunetutil.la \
+ libgnunettransporttesting.la
+
EXTRA_DIST = \
test_plugin_hostkey \
test_plugin_hostkey.ecc \
+test_delay \
template_cfg_peer1.conf\
template_cfg_peer2.conf\
test_plugin_transport_data.conf\
test_transport_api_http_reverse_peer1.conf \
test_transport_api_http_reverse_peer2.conf \
perf_tcp_peer1.conf \
-perf_tcp_peer2.conf
-
+perf_tcp_peer2.conf \
+test_transport_api_slow_ats_peer1.conf \
+test_transport_api_slow_ats_peer2.conf
--- /dev/null
+#!/bin/sh
+
+TEMP=$(getopt -o t: -- "$@")
+
+if [ $? != 0 ] ; then
+ exit 1
+fi
+
+eval set -- "$TEMP"
+
+while true ; do
+ case "$1" in
+ (-t) sleep "$2" ; shift 2 ;;
+ (--) shift ; break ;;
+ (*) echo "Error parsing getopt output" ; exit 1 ;;
+ esac
+done
+exec "$@"